"""gind_machine_learning_engine URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.contrib import admin
from django.urls import path
from fr_emac_gind_rio.learn.views import predict, learnASync, predefined_labels_methods
from fr_emac_gind_rio.ml_manager.views import info, deploy, undeploy

urlpatterns = [
    path('info', info, name="info"),
    path('mlEngine/deploy', deploy, name="deploy"),
    path('mlEngine/undeploy', undeploy, name="undeploy"),
    path('mlEngine/learnASync', learnASync, name="learnASync"),
    path('mlEngine/predict', predict, name="predict"),
    path('mlEngine/predefined_labels_methods', predefined_labels_methods, name="predefined_labels_methods"),
    path('admin/', admin.site.urls),
]
